;;; $Id: toggle.scm,v 1.3 1995/08/05 13:16:35 skimu Exp $
(require 'xt)
(require 'xaw)

(define top-level (xt:app-initialize "XScmTest" "toggle"))

(let* ((box     (xt:create-managed-widget "box" xaw:box top-level))
       (toggled (lambda (w cd)
		  (let ((string (xt:get-value w xt:n-label xt:string)))
		    (display (string-append "Customer wants meal " string))
		    (newline))))
       (toggle0 (xt:create-managed-widget "toggle0" xaw:toggle box
					  xt:n-state #t))
       (toggle1 (xt:create-managed-widget "toggle1" xaw:toggle box
					  xt:n-radio-group toggle0))
       (toggle2 (xt:create-managed-widget "toggle2" xaw:toggle box
					  xt:n-radio-group toggle1))
       (toggle3 (xt:create-managed-widget "toggle3" xaw:toggle box
					  xt:n-radio-group toggle2))
       (toggle4 (xt:create-managed-widget "toggle4" xaw:toggle box
					  xt:n-radio-group toggle3))
       (button  (xt:create-managed-widget "button"  xaw:command box)))
  (xt:add-callback toggle0 xt:n-callback (lambda (w) (toggled w 0)))
  (xt:add-callback toggle1 xt:n-callback (lambda (w) (toggled w 1)))
  (xt:add-callback toggle2 xt:n-callback (lambda (w) (toggled w 2)))
  (xt:add-callback toggle3 xt:n-callback (lambda (w) (toggled w 3)))
  (xt:add-callback toggle4 xt:n-callback (lambda (w) (toggled w 4)))
  (xt:add-callback button  xt:n-callback (lambda (w)
					   (display "Good Bye!")
					   (newline)
					   (quit)))
  (xt:realize-widget top-level)
  (xt:app-main-loop))


		