;; $Id: xmenu7.scm,v 1.7 1995/09/01 12:46:00 skimu Exp $
;;
(require 'xt)
(require 'xaw)
(define logo-bitmap-file  "/usr/X11R6/include/X11/bitmaps/xlogo11")

(define menu-entry '(#("quit"   bsb   #f)
		     #("item1"  bsb   #f)
		     #("item2"  bsb   #f)
		     #("item3"  bsb   #f)
		     #("line"   line  #f)
		     #("item5"  bsb   #f)
		     #("item6"  bsb   #f)
		     #("item7"  bsb   #f)
		     #("blank"  blank #f)
		     #("menu1"  bsb   #f)
		     #("menu2"  bsb   #f)
		     #("menu3"  bsb   #f)))

(define xt:n-left-bitmap "leftBitmap")
(define pix #f)
(define menu-select
  (lambda(w i)
    (display (string-append "Menu item " 
			    (xt:name w)
			    " has been selected."))
    (newline)
    (if (string=? (vector-ref i 0) "quit")
	(quit))
    (vector-set! i 2 (not (vector-ref i 2)))
    (xt:set-values w xt:n-left-bitmap (if (vector-ref i 2) pix #f))))

(let* ((top-level (xt:app-initialize "XScmTest" "xmenu7"))
       (button    (xt:create-managed-widget "menuButton"
					    xaw:menu-button top-level))
       (menu      (xt:create-popup-shell    "menu"
					    xaw:simple-menu top-level)))
  (let ((create-menu
	 (lambda (item)
	   (case (vector-ref item 1)
	     ((bsb)
	      (let ((entry (xt:create-managed-widget (vector-ref item 0)
						     xaw:sme-bsb-object menu)))
		(xt:add-callback entry xt:n-callback
				 (lambda (w)
				   (menu-select w item)))))
	     ((line)  (xt:create-managed-widget (vector-ref item 0)
						xaw:sme-line-object menu))
	     ((blank) (xt:create-managed-widget (vector-ref item 0)
						xaw:sme-object menu))))))
    (for-each create-menu menu-entry)
    (set! pix (x:read-bitmap-file (xt:display top-level)
				  (x:default-root-window (xt:display top-level))
				  logo-bitmap-file))
    (xt:realize-widget top-level)
    (xt:app-main-loop)))
