;; $Id: xaw.scm,v 1.1 1995/02/08 14:31:48 skimu Exp $
(if (and (defined? dyn:link)
	 (not (defined? *athena-widget-classes*)))
    (let ((shl (dyn:link (in-vicinity (implementation-vicinity) "xaw.sl"))))
      (dyn:call "init_x" shl)
      (dyn:call "init_xt" shl)
      (dyn:call "init_xaw" shl)))

(define xt:initialize xt:app-initialize)
(define xt:main-loop xt:app-main-loop)
(define xaw:sme-line xaw:sme-line-object)
(define xaw:sme-bsb xaw:sme-bsb-object)
(define xaw:ascii-sink xaw:ascii-sink-object)
(define xaw:ascii-src xaw:ascii-src-object)
(define xaw:multi-sink xaw:multi-sink-object)
(define xaw:multi-src xaw:multi-src-object)
;
; Athena Widget definitions
;   @(#)xaw.scm 1.0.0 94/02/15 (Shiro Kawai, kawai@sail.t.u-tokyo.ac.jp
;from AsciiSink.h
(define xt:n-display-nonprinting	"displayNonprinting")
(define xt:n-echo			"echo")

;from AsciiSrc.h
(define xt:n-data-compression		"dataCompression")
(define xt:n-piece-size			"pieceSize")
(define xt:n-type			"type")
(define xt:n-use-string-in-place	"useStringInPlace")

(define xaw:ascii-file			0)
(define xaw:ascii-string		1)

;from Clock.h
(define xt:n-hand			"hands")
(define xt:n-analog			"analog")
(define xt:n-chime			"chime")
(define xt:n-padding			"padding")

;from Command.h
(define xt:n-highlinght-thickness	"highlightThickness")
(define xt:n-shape-style		"shapeStyle")
(define xt:n-corner-round-percent	"cornerRoundPercent")

;from Dialog.h
(define xt:n-icon			"icon")

;from Form.h
(define xt:n-default-distance		"defaultDistance")
(define xt:n-bottom			"bottom")
(define xt:n-left			"left")
(define xt:n-right			"right")
(define xt:n-from-horiz			"fromHoriz")
(define xt:n-from-vert			"fromVert")
(define xt:n-horiz-distance		"horizDistance")
(define xt:n-vert-distance		"vertDistance")
(define xt:n-resizable			"resizable")

(define xaw:chain-top			0)
(define xaw:chain-bottom		1)
(define xaw:chain-left			2)
(define xaw:chain-right			3)
(define xaw:rubber			4)

;from Label.h
(define xt:n-left-bitmap		"leftBitmap")
(define xt:n-encoding			"encoding")

;from List.h
(define xt:n-cursor			"cursor")
(define xt:n-column-spacing		"columnSpacing")
(define xt:n-default-columns		"defaultColumns")
(define xt:n-force-columns		"forceColumns")
(define xt:n-list			"list")
(define xt:n-longest			"longest")
(define xt:n-number-strings		"numberStrings")
(define xt:n-paste-buffer		"pasteBuffer")
(define xt:n-row-spacing		"rowSpacing")
(define xt:n-vertical-list		"verticalList")

;from Mailbox.h
(define xt:n-check-command		"checkCommand")
(define xt:n-once-only			"onceOnly")
(define xt:n-volume			"volume")
(define xt:n-full-pixmap		"fullPixmap")
(define xt:n-full-pixmap-mask		"fullPixmapMask")
(define xt:n-empty-pixmap		"emptyPixmap")
(define xt:n-empty-pixmap-mask		"emptyPixmapMask")
(define xt:n-flip			"flip")
(define xt:n-shape-window		"shapeWindow")

;from MenuButton.h
(define xt:n-menu-name			"menuName")

;from Paned.h
(define xt:n-allow-resize		"allowResize")
(define xt:n-between-cursor		"betweenCursor")
(define xt:n-vertical-between-cursor	"verticalBetweenCursor")
(define xt:n-horizontal-between-cursor	"horizontalBetweenCursor")
(define xt:n-grip-cursor		"gripCursor")
(define xt:n-grip-indent		"gripIndent")
(define xt:n-horizontal-grip-cursor	"horizontalGripCursor")
(define xt:n-internal-border-color	"internalBorderColor")
(define xt:n-internal-border-width	"internalBorderWidth")
(define xt:n-left-cursor		"leftCursor")
(define xt:n-lower-cursor		"lowerCursor")
(define xt:n-refigure-mode		"refigureMode")
(define xt:n-position			"position")
(define xt:n-min			"min")
(define xt:n-max			"max")
(define xt:n-preferred-pane-size	"preferredPaneSize")
(define xt:n-resize-to-preferred	"resizeToPreferred")
(define xt:n-right-cursor		"rightCursor")
(define xt:n-show-grip			"showGrip")
(define xt:n-skip-adjust		"skipAdjust")
(define xt:n-upper-cursor		"upperCursor")
(define xt:n-vertical-grip-cursor	"verticalGripCursor")

;from Panner.h
(define xt:n-allow-off			"allowOff")
(define xt:n-background-stipple		"backgroundStipple")
(define xt:n-default-scale		"defaultScale")
(define xt:n-canvas-width		"canvasWidth")
(define xt:n-canvas-height		"canvasHeight")
(define xt:n-internal-space		"internalSpace")
(define xt:n-line-width			"lineWidth")
(define xt:n-rubber-band		"rubberBand")
(define xt:n-shadow-thickness		"shadowThickness")
(define xt:n-shadow-color		"shadowColor")
(define xt:n-slider-x			"sliderX")
(define xt:n-slider-y			"sliderY")
(define xt:n-slider-width		"sliderWidth")
(define xt:n-slider-height		"sliderHeight")

;from Repeater.h
(define xt:n-decay			"decay")
(define xt:n-initial-delay		"initialDelay")
(define xt:n-minimum-delay		"minimumDelay")
(define xt:n-repeat-delay		"repeatDelay")
(define xt:n-flash			"flash")
(define xt:n-start-callback		"startCallback")
(define xt:n-stop-callback		"stopCallback")

;from Reports.h
(define xt:n-report-callback		"reportCallback")

(define xaw:p-r-slider-x		1)
(define xaw:p-r-slider-y		2)
(define xaw:p-r-slider-width		4)
(define xaw:p-r-slider-height		8)
(define xaw:p-r-canvas-width		16)
(define xaw:p-r-canvas-height		32)
(define xaw:p-r-all			63)

;from Scrollbar.h
(define xt:n-minimum-thumb		"minimumThumb")
(define xt:n-top-of-thumb		"topOfThumb")

;from Simple.h
(define xt:n-cursor			"cursor")
(define xt:n-cursor-name		"cursorName")
(define xt:n-insensitive-border		"insensitiveBorder")

;from SimpleMenu.h
(define xt:n-bottom-margin		"bottomMargin")
(define xt:n-column-width		"columnWidth")
(define xt:n-label-class		"labelClass")
(define xt:n-menu-on-screen		"menuOnScreen")
(define xt:n-popup-on-entry		"popupOnEntry")
(define xt:n-row-height			"rowHeight")
(define xt:n-top-margin			"topMargin")

;from SmeBSB.h
(define xt:n-left-bitmap		"leftBitmap")
(define xt:n-left-margin		"leftMargin")
(define xt:n-right-bitmap		"rightBitmap")
(define xt:n-right-margin		"rightMargin")
(define xt:n-vert-space			"vertSpace")

;from SmeLine.h
(define xt:n-line-width			"lineWidth")
(define xt:n-stipple			"stipple")

;from StripChart.h
(define xt:n-get-value			"getValue")
(define xt:n-jump-scroll		"jumpScroll")
(define xt:n-min-scale			"minScale")
(define xt:n-scale			"scale")
(define xt:n-vmunix			"vmunix")
 
;from Text.h
(define xaw:text-scroll-never		0)
(define xaw:text-scroll-when-needed	1)
(define xaw:text-scroll-always		2)

(define xaw:text-wrap-never		0)
(define xaw:text-wrap-line		1)
(define xaw:text-wrap-word		2)

(define xaw:text-resize-never		0)
(define xaw:text-resize-width		1)
(define xaw:text-resize-height		2)
(define xaw:text-resize-both		3)

(define xaw:sd-left			0)  ;scan direction
(define xaw:sd-right			1)

(define xaw:text-read			0)
(define xaw:text-append			1)
(define xaw:text-edit			2)

(define xaw:select-null			0)
(define xaw:select-position		1)
(define xaw:select-char			2)
(define xaw:select-word			3)
(define xaw:select-line			4)
(define xaw:select-paragraph		5)
(define xaw:select-all			6)

(define xt:n-auto-fill			"autoFill")
(define xt:n-bottom-margin		"bottomMargin")
(define xt:n-dialog-h-offset		"dialogHOffset")
(define xt:n-dialog-v-offset		"dialogVOffset")
(define xt:n-display-caret		"displayCaret")
(define xt:n-display-position		"displayPosition")
(define xt:n-left-margin		"leftMargin")
(define xt:n-right-margin		"rightMargin")
(define xt:n-scroll-vertical		"scrollVertical")
(define xt:n-scroll-horizontal		"scrollHorizontal")
(define xt:n-select-types		"selectTypes")
(define xt:n-top-margin			"topMargin")
(define xt:n-wrap			"wrap")

(define xaw:text-search-error		-12345)
(define xaw:replace-error		-1)
(define xaw:edit-done			0)
(define xaw:edit-error			1)
(define xaw:position-error		2)

;from TextSink.h
(define xaw:is-on			0) ;TextInsertState
(define xaw:is-off			1)

;from TextSrc.h
(define xaw:st-positions		0) ;TextScanType
(define xaw:st-white-space		1)
(define xaw:st-eol			2)
(define xaw:st-paragraph		3)
(define xaw:st-all			4)

(define xaw:normal			0)
(define xaw:selected			1)

(define xaw:sm-text-select		0) ;TextSelectionMode
(define xaw:sm-text-extend		1)

(define xaw:action-start		0)
(define xaw:action-adjust		1)
(define xaw:action-end			2)

(define xaw:text-read-error		-1)
(define xaw:test-scan-error		-1)

;from Toggle.h
(define xt:n-state			"state")
(define xt:n-radio-group		"radioGroup")
(define xt:n-radio-data			"radioData")

;from Tree.h
(define xt:n-auto-reconfigure		"autoReconfigure")
(define xt:n-line-width			"lineWidth")
(define xt:n-tree-gc			"treeGC")
(define xt:n-tree-parent		"treeParent")
(define xt:n-gravity			"gravity")

;special callback support used for xaw:add-callback (see xaw.c)
(define xaw:list-callback		"xaw:list-callback")
(define xaw:report-callback		"xaw:report-callback")
(define xaw:scrollproc-callback		"xaw:scroll-callback")
(define xaw:jumpproc-callback		"xaw:jumpproc-callabck")

